package com.atlassian.bitbucket.scm.git.command.blame;

import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;
import com.atlassian.bitbucket.util.PageRequest;

import javax.annotation.Nonnull;

public interface GitBlameBuilder extends GitCommandBuilderSupport<GitBlameBuilder> {

    @Nonnull
    GitBlameBuilder clearRange();

    @Nonnull
    GitBlameBuilder file(String file);

    @Nonnull
    GitBlameBuilder range(@Nonnull PageRequest pageRequest);

    @Nonnull
    GitBlameBuilder range(int start, int end, boolean endIsOffset);

    @Nonnull
    GitBlameBuilder rev(String rev);
}
